import { Duration } from 'aws-cdk-lib';
import { Chain, IStateMachine } from 'aws-cdk-lib/aws-stepfunctions';
import { IConstruct } from 'constructs';
import { DescriptionBuilder } from './description-builder';
import { InspectorSeverity } from './inspector-finding';
import { IssueParserPluginBase, IssueParserPluginBaseProps } from './issue-parser-plugin-base';
import { IssueHandlerOverride } from '../issue-handler-override';
import { IIssueParser } from '../issue-manager';
import { IssueTrigger } from '../issue-trigger';
export interface ConfigComplianceChangeRuleOptions {
    readonly includeSecurityHub?: boolean;
    readonly overrides?: IssueHandlerOverride[];
    readonly severity?: InspectorSeverity[];
}
export interface ConfigComplianceChangeProps extends IssueParserPluginBaseProps {
}
export declare class ConfigComplianceChange extends IssueParserPluginBase implements IIssueParser {
    static readonly MATCH_TYPE: string;
    readonly name?: string;
    readonly timeout?: Duration;
    readonly handler: IStateMachine;
    get triggers(): IssueTrigger[];
    constructor(scope: IConstruct, id: string, props?: ConfigComplianceChangeProps);
    protected addDefaultTrigger(): IssueTrigger;
    protected buildDescription(): DescriptionBuilder;
    private buildResource;
    protected buildResourceUrl(): Chain;
    private buildRule;
    registerIssueTrigger(id: string, options?: ConfigComplianceChangeRuleOptions): IssueTrigger;
}
