import { EventPattern, Rule } from 'aws-cdk-lib/aws-events';
import { StateMachine } from 'aws-cdk-lib/aws-stepfunctions';
import { Construct, IConstruct } from 'constructs';
import { IssueHandlerOverride } from './issue-handler-override';
import { IIssueParser } from './issue-manager';
export interface IssueTriggerProps {
    readonly eventPattern: EventPattern;
    readonly overrides?: IssueHandlerOverride[];
    readonly parser: IIssueParser;
}
export declare class IssueTrigger extends Construct {
    private readonly _overrides;
    readonly eventPattern: EventPattern;
    readonly parser: IIssueParser;
    get overrides(): IssueHandlerOverride[];
    constructor(scope: IConstruct, id: string, props: IssueTriggerProps);
    addOverride(handlerOverrides: IssueHandlerOverride): void;
    bind(stateMachine: StateMachine): Rule;
    private renderOverrides;
}
