import { IResolvable, Resource, ResourceProps } from 'aws-cdk-lib';
import { CfnIPAMResourceDiscoveryAssociation } from 'aws-cdk-lib/aws-ec2';
import { IConstruct } from 'constructs';
import { IIpam } from './ipam';
import { IIpamResourceDiscovery } from './ipam-resource-discovery';
export interface IIpamResourceDiscoveryAssociation {
    readonly ipamResourceDiscoveryAssociationArn: string;
    readonly ipamResourceDiscoveryAssociationId: string;
    readonly ipamResourceDiscoveryAssociationIpamArn: string;
    readonly ipamResourceDiscoveryAssociationIpamRegion: string;
    readonly ipamResourceDiscoveryAssociationIsDefault: IResolvable;
    readonly ipamResourceDiscoveryAssociationOwnerId: string;
    readonly ipamResourceDiscoveryAssociationResourceDiscoveryId: string;
    readonly ipamResourceDiscoveryAssociationResourceDiscoveryStatus: string;
    readonly ipamResourceDiscoveryAssociationState: string;
}
declare abstract class IpamResourceDiscoveryAssociationBase extends Resource implements IIpamResourceDiscoveryAssociation {
    abstract readonly ipamResourceDiscoveryAssociationArn: string;
    abstract readonly ipamResourceDiscoveryAssociationId: string;
    abstract readonly ipamResourceDiscoveryAssociationIpamArn: string;
    abstract readonly ipamResourceDiscoveryAssociationIpamRegion: string;
    abstract readonly ipamResourceDiscoveryAssociationIsDefault: IResolvable;
    abstract readonly ipamResourceDiscoveryAssociationOwnerId: string;
    abstract readonly ipamResourceDiscoveryAssociationResourceDiscoveryId: string;
    abstract readonly ipamResourceDiscoveryAssociationResourceDiscoveryStatus: string;
    abstract readonly ipamResourceDiscoveryAssociationState: string;
}
export interface IpamResourceDiscoveryAssociationProps extends ResourceProps {
    readonly ipam: IIpam;
    readonly ipamResourceDiscovery: IIpamResourceDiscovery;
}
export declare class IpamResourceDiscoveryAssociation extends IpamResourceDiscoveryAssociationBase {
    readonly ipam: IIpam;
    readonly ipamResourceDiscovery: IIpamResourceDiscovery;
    readonly resource: CfnIPAMResourceDiscoveryAssociation;
    readonly ipamResourceDiscoveryAssociationArn: string;
    readonly ipamResourceDiscoveryAssociationId: string;
    readonly ipamResourceDiscoveryAssociationIpamArn: string;
    readonly ipamResourceDiscoveryAssociationIpamRegion: string;
    readonly ipamResourceDiscoveryAssociationIsDefault: IResolvable;
    readonly ipamResourceDiscoveryAssociationOwnerId: string;
    readonly ipamResourceDiscoveryAssociationResourceDiscoveryId: string;
    readonly ipamResourceDiscoveryAssociationResourceDiscoveryStatus: string;
    readonly ipamResourceDiscoveryAssociationState: string;
    constructor(scope: IConstruct, id: string, props: IpamResourceDiscoveryAssociationProps);
}
export {};
