import { CustomerGatewayRemoteVpnEndpoint } from './customer-gateway';
import { CustomerGatewayConfigurationRemoteVpnEndpoint } from './customer-gateway-configuration';
import { CustomerGatewayProps, ICustomerGateway } from '../../customer-gateway';
/**
 * Provides options for specifying the remote side of a VPN connection.
 */
export declare class VpnConnectionRemoteEndpoint {
    /**
     * Creates a remote connection using the configuration details provided.
     *
     * @param configuration The configuration for the remote endpoint device.
     * @returns A configuration object representing a remote VPN destination.
     */
    static fromConfiguration(configuration: CustomerGatewayProps): CustomerGatewayConfigurationRemoteVpnEndpoint;
    /**
     * Creates a remote connection using a customer gateway.
     *
     * @param customerGateway The customer gateway that is configured for the
     * remote endpoint device.
     * @returns A configuration object representing a remote VPN destination.
     */
    static fromCustomerGateway(customerGateway: ICustomerGateway): CustomerGatewayRemoteVpnEndpoint;
}
